io.agora.rtc

## Class AgoraVideoEncodedFrameObserver

- java.lang.Object
- - io.agora.rtc.AgoraVideoEncodedFrameObserver

-     public class AgoraVideoEncodedFrameObserver
      extends java.lang.Object

  Wrapper for video encoded frame observer functionality.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr` Native pointer to the video encoded frame observer instance.
    `private IVideoEncodedFrameObserver` | `videoEncodedFrameObserver` Observer for video encoded frame events

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraVideoEncodedFrameObserver(IVideoEncodedFrameObserver observer)` Constructs a video encoded frame observer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys the video encoded frame observer and releases native resources.
    `private void` | `nativeDestroy(long cptr)` Releases the native video encoded frame observer handle.
    `private long` | `nativeInit(IVideoEncodedFrameObserver observer)` Initializes the native video encoded frame observer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

      Native pointer to the video encoded frame observer instance.

    - #### videoEncodedFrameObserver

          private IVideoEncodedFrameObserver videoEncodedFrameObserver

      Observer for video encoded frame events

  - ### Constructor Detail

    - #### AgoraVideoEncodedFrameObserver

          public AgoraVideoEncodedFrameObserver(IVideoEncodedFrameObserver observer)

      Constructs a video encoded frame observer.
      Parameters:
        `observer` - Video encoded frame observer interface

  - ### Method Detail

    - #### destroy

          public void destroy()

      Destroys the video encoded frame observer and releases native resources.

    - #### nativeInit

          private long nativeInit(IVideoEncodedFrameObserver observer)

      Initializes the native video encoded frame observer.
      Parameters:
        `observer` - Video encoded frame observer interface
      Returns:
        Native pointer to the observer instance

    - #### nativeDestroy

          private void nativeDestroy(long cptr)

      Releases the native video encoded frame observer handle.
      Parameters:
        `cptr` - Native pointer to the observer instance